style: gitlab
template: CHANGELOG.tpl.md
info:
  title: CHANGELOG
  repository_url: https://gitlab.schukai.com/oss/libraries/go/application/configuration
options:
  commits:
    filters:
      Type:
        - feat
        - fix
        - doc
        - refactor
        - perf
        - test
        - chore
        ## deprecated types and typos  
        - docs
        - documentation
        - feat
        - added
        - add
        - bugfix
        - revert
        - update
        - updates
        - change
        - changed
  commit_groups:
    title_maps:
      feat: Add Features
      fix: Bug Fixes
      doc: Documentation
      refactor: Code Refactoring
      perf: Performance Improvements
      test: Tests
      ## Chore is used for all other changes that don't fit in the other categories
      chore: Changes
      ## deprecated types and typos  
      docs: Documentation
      documentation: Documentation
      added: Add Features
      add: Add Features
      bugfix: Bug Fixes
      revert: Reverts
      update: Changes
      updates: Changes
      change: Changes
      changed: Changes
  header:
    pattern: "^(\\w*)(?:\\(([\\w\\$\\.\\-\\*\\s]*)\\))?\\:\\s(.*)$"
    pattern_maps:
      - Type
      - Scope
      - Subject
  notes:
    keywords:
      - BREAKING CHANGE
